Last Comment Bug 821687 - Status panel should be attached to the content area without overlapping surrounding chrome
: Status panel should be attached to the content area without overlapping surro...
Status: VERIFIED FIXED
regression from bug 541656
: addon-compat, verifyme
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Firefox 26
Assigned To: Dão Gottwald [:dao]
:
:
Mentors:
: 630079 802525 (view as bug list)
Depends on: 1240218 919030 920454
Blocks: 541656 630079 789349 890613 914180
  Show dependency treegraph
 
Reported: 2012-12-14 04:36 PST by Paul Rouget [:paul]
Modified: 2016-09-19 05:37 PDT (History)
13 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
verified


Attachments
patch v0.1 (1.76 KB, patch)
2013-05-26 05:03 PDT, Girish Sharma [:Optimizer]
dao+bmo: feedback-
Details | Diff | Splinter Review
patch (5.93 KB, patch)
2013-09-12 06:59 PDT, Dão Gottwald [:dao]
no flags Details | Diff | Splinter Review
patch (5.91 KB, patch)
2013-09-12 07:05 PDT, Dão Gottwald [:dao]
mdeboer: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
Screenshot.png (664.64 KB, image/png)
2013-09-26 05:53 PDT, Manuela Muntean [Away]
no flags Details

Description Paul Rouget [:paul] 2012-12-14 04:36:12 PST
We want the statusbar to be above the devtools box. That means moving the statusbar inside the tab. That would imply building one statusbar per tab.
Comment 1 Paul Rouget [:paul] 2012-12-14 04:37:35 PST
Dao, do you think it's something feasible?
Comment 2 Dão Gottwald [:dao] 2012-12-14 07:36:38 PST
I don't think one status panel per tab this is very reasonable, given the global nature of the XULBrowserWindow infrastructure.
Comment 3 Paul Rouget [:paul] 2012-12-14 08:44:49 PST
Possible workaround: when the toolbox is present in the current tab, we translate (as is transform:translateY()) the statusbar.
Comment 4 Girish Sharma [:Optimizer] 2013-05-26 05:03:35 PDT
Created attachment 754223 [details] [diff] [review]
patch v0.1

Translating the statusbar. This is not the final version and a lot of cases are missed out. But asking for feedback to see if this approach is acceptable.
Comment 5 Dão Gottwald [:dao] 2013-06-07 00:48:58 PDT
Comment on attachment 754223 [details] [diff] [review]
patch v0.1

I'd rather not have external code mess with the status panel's position. If multiple actors did that, things would quickly get messy, as you assume you're the only one setting a CSS transform on the status panel.
Comment 6 Girish Sharma [:Optimizer] 2013-06-17 02:00:57 PDT
So any suggestions here , anyone ?
Comment 7 Girish Sharma [:Optimizer] 2013-07-16 11:39:13 PDT
[this is out of my scope now :) ]
Comment 8 Paul Rouget [:paul] 2013-08-01 04:13:12 PDT
(In reply to Dão Gottwald [:dao] from comment #5)
> Comment on attachment 754223 [details] [diff] [review]
> patch v0.1
> 
> I'd rather not have external code mess with the status panel's position. If
> multiple actors did that, things would quickly get messy, as you assume
> you're the only one setting a CSS transform on the status panel.

So any idea of what we can do to fix this issue?
Comment 9 Dão Gottwald [:dao] 2013-09-12 06:59:52 PDT
Created attachment 803704 [details] [diff] [review]
patch
Comment 10 Dão Gottwald [:dao] 2013-09-12 07:05:45 PDT
Created attachment 803707 [details] [diff] [review]
patch

fixed a nit
Comment 11 Mike de Boer [:mikedeboer] 2013-09-12 07:34:31 PDT
lgtm, I triggered a try build to see if this breaks any tests:

https://tbpl.mozilla.org/?tree=Try&rev=5acd3a1dbb8d

...which includes the backout patches from bug 914180.
Comment 12 Mike de Boer [:mikedeboer] 2013-09-12 14:03:02 PDT
Would it be a good idea to add a (regression) unit test for this?
Comment 13 Dão Gottwald [:dao] 2013-09-12 14:39:14 PDT
https://hg.mozilla.org/integration/fx-team/rev/b47e5a0b7704

I have no idea how a useful test for this might look like...
Comment 14 Mike de Boer [:mikedeboer] 2013-09-12 15:46:52 PDT
(In reply to Dão Gottwald [:dao] from comment #13)
> I have no idea how a useful test for this might look like...

No idea either. I guess I just wanted to have it mentioned. ;)
Comment 15 Ryan VanderMeulen [:RyanVM] 2013-09-12 17:40:12 PDT
https://hg.mozilla.org/mozilla-central/rev/b47e5a0b7704
Comment 16 Dão Gottwald [:dao] 2013-09-13 00:35:56 PDT
*** Bug 630079 has been marked as a duplicate of this bug. ***
Comment 17 Mike de Boer [:mikedeboer] 2013-09-13 02:18:47 PDT
Comment on attachment 803707 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 914180
User impact if declined: When the patch in bug 914180 lands on Aurora, the status panel will cover the findbar when it's open. This patch fixes that.
Testing completed (on m-c, etc.): one day on m-c, required for backout.
Risk to taking this patch (and alternatives if risky): low
String or IDL/UUID changes made by this patch: none
Comment 18 Ryan VanderMeulen [:RyanVM] 2013-09-13 11:13:12 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/3c4300ef49de
Comment 19 Manuela Muntean [Away] 2013-09-26 05:53:52 PDT
Created attachment 810538 [details]
Screenshot.png

On: XP 32-bit, Ubuntu 12.10 32-bit and Mac OS X 10.7.5 in 32-bit mode, with latest Aurora (build ID: 20130926004003) and 25 beta 2 (build ID: 20130923194050) I can see the status bar above the developer toolbox, in both scenarios:

1) when reloading a page
2) when hovering an URL from the page

Please see the attached screenshot for details. I'm assuming this is the discussed issue here, right?
Comment 20 Paul Rouget [:paul] 2013-09-26 05:59:12 PDT
(In reply to Manuela Muntean [:Manuela] [QA] from comment #19)
> Created attachment 810538 [details]
> Screenshot.png
> 
> On: XP 32-bit, Ubuntu 12.10 32-bit and Mac OS X 10.7.5 in 32-bit mode, with
> latest Aurora (build ID: 20130926004003) and 25 beta 2 (build ID:
> 20130923194050) I can see the status bar above the developer toolbox, in
> both scenarios:
> 
> 1) when reloading a page
> 2) when hovering an URL from the page
> 
> Please see the attached screenshot for details. I'm assuming this is the
> discussed issue here, right?

Indeed. You see the valid behavior (status bar not hovering the tools).
Comment 21 Manuela Muntean [Away] 2013-09-26 06:00:36 PDT
Marking this verified, based on comment 19 and comment 20. Thanks Paul!
Comment 22 arni2033 2016-09-19 05:30:09 PDT
*** Bug 802525 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.